For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Sites

Get Site

GET
https://api.webflow.com/v2/sites/:site_id
GET
/v2/sites/:site_id
$curl https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741 \
> -H "Authorization: Bearer <token>"
1{
2 "id": "42e98c9a982ac9b8b742",
3 "workspaceId": "42e63e98c9a982ac9b8b742",
4 "createdOn": "1979-10-12T12:00:00.000Z",
5 "displayName": "The Hitchhiker's Guide to the Galaxy",
6 "shortName": "hitchhikers-guide",
7 "lastPublished": "2023-04-02T12:42:00.000Z",
8 "lastUpdated": "2023-04-02T12:42:00.000Z",
9 "previewUrl": "https://screenshots.webflow.com/sites/6258612d1ee792848f805dcf/20231219211811_d5990556c743f33b7071300a03bf67e6.png",
10 "timeZone": "America/Los_Angeles",
11 "parentFolderId": "1as2d3f4g5h6j7k8l9z0x1c2v3b4n5m6",
12 "customDomains": [
13 {
14 "id": "589a331aa51e760df7ccb89d",
15 "url": "hitchhikersguide.galaxy"
16 },
17 {
18 "id": "589a331aa51e760df7ccb89e",
19 "url": "heartofgold.spaceship"
20 }
21 ],
22 "locales": {
23 "primary": {
24 "id": "653fd9af6a07fc9cfd7a5e57",
25 "cmsLocaleId": "653ad57de882f528b32e810e",
26 "enabled": false,
27 "displayName": "English (United States)",
28 "displayImageId": null,
29 "redirect": true,
30 "subdirectory": "",
31 "tag": "en-US"
32 },
33 "secondary": [
34 {
35 "id": "653fd9af6a07fc9cfd7a5e56",
36 "cmsLocaleId": "653fd9af6a07fc9cfd7a5e5d",
37 "enabled": true,
38 "displayName": "French (France)",
39 "displayImageId": null,
40 "subdirectory": "fr-fr",
41 "tag": "fr-FR"
42 },
43 {
44 "id": "654112a3a525b2739d97664c",
45 "cmsLocaleId": "654112a3a525b2739d97664f",
46 "enabled": true,
47 "displayName": "Spanish (Mexico)",
48 "displayImageId": null,
49 "subdirectory": "es-mx",
50 "tag": "es-MX"
51 }
52 ]
53 },
54 "dataCollectionEnabled": true,
55 "dataCollectionType": "always"
56}

Get details of a site.

Required scope | sites:read

Was this page helpful?
Previous

Get Custom Domains

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
idstringformat: "objectid"
Unique identifier for the Site
workspaceIdstringformat: "objectid"
Unique identifier for the Workspace
createdOnstringformat: "date-time"
Date the Site was created
displayNamestring
Name given to Site
shortNamestring
Slugified version of name
lastPublishedstringformat: "date-time"
Date the Site was last published
lastUpdatedstringformat: "date-time"
Date the Site was last updated
previewUrlstringformat: "uri"
URL of a generated image for the given Site
timeZonestring
Site timezone set under Site Settings
parentFolderIdstring or nullformat: "objectid"
The ID of the parent folder the Site exists in
customDomainslist of objects
localesobject
dataCollectionEnabledboolean
Indicates if data collection is enabled for the site.
dataCollectionTypeenum
The type of data collection enabled for the site.
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error